Subject: Looking for exotic honey

From: [email-masked] (Bruce Conner)
Date: 5 Jul 1996 21:25:05 GMT

I'm located in the Boston area and I want to find some exotic honey for
some test batches of mead.  I would need about 3 or 4 pounds of any
particular variety to start, and if the results warrant, then I would need
more later.  

One particular variety I want to try is heather honey.  Anybody out there
able to help?

Bruce Conner
[email-masked]